DeepFellow DOCS

Create a new tool for specific toolbox

Create a new tool.

Needs user bearer token in authorization header.

POST
/toolboxes/{toolbox_id}/tools
Authorization[Bearer <token>]

In: header

Path Parameters

toolbox_id[string]

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[string | null]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[string | null]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

type?[string]
Default"file_search"
vector_store_ids[array<string>]

List of vector store IDs to search

filters?[CompoundFilter-Input | ComparisonFilter | null]

Filter to apply to results

max_num_results?[integer]

Maximum number of results

Default25
Range1 <= value <= 50
ranking_options?[RankingOptions | null]

Ranking options

type?[string]
Default"mcp"
server_label[string]

Label for MCP server identification

server_url[string]

URL for MCP server endpoint

allowed_tools?[array<string> | McpAllowedToolsFilter | null]

List of allowed tool names or filter object

headers?[object | null]

HTTP headers to send

require_approval?[McpRequireApproval]

Tools requiring approval. Defaults to 'always'

Default"always"
server_description?[string]
Default""
type?[string]
Default"image_generation"
background?["auto" | "transparent" | "opaque" | null]

Background type for generated image

Default"auto"
input_image_mask?[InputImageMask | null]

Mask for inpainting operation containing image URL or file ID

model[string]

Generation model to use

moderation?[string | null]

Moderation level

Default"auto"
output_compression?[integer | null]

Output compression level (0-100)

Default100
output_format?["png" | "webp" | "jpeg" | null]

Output format for generated image

Default"png"
partial_images?[integer | null]

Number of partial images to generate in streaming mode (0-3)

Default0
quality?["low" | "medium" | "high" | "auto" | null]

Quality level for image

Default"auto"
size?[string | null]

Generated image dimensions (pixel)

Default"auto"
type?[string]
Default"infra-mcp"
server_label[string]

Label for MCP server identification

server_prefix[SafePath]

Deepfellow MCP server prefix (from DeepFellow Infra)

server_transport?[McpTransportType]

MCP transport type

Default"mcp"
Value in"mcp" | "sse"
allowed_tools?[array<string> | McpAllowedToolsFilter | null]

List of allowed tool names or filter object

headers?[object | null]

HTTP headers to send

require_approval?[McpRequireApproval]

Tools requiring approval. Defaults to 'always'

Default"always"
server_description?[string]
Default""
type?[string]
Default"custom-mcp"
server_label[string]

Label for MCP server identification

server_description?[string]
Default""
server_prefix[SafePathPart]

Custom endpoint prefix

headers?[object | null]

Constant HTTP headers to send

require_approval?[object | approval | null]

Tools requiring approval. Defaults to 'always'

Default"always"
tools?[array<CustomTool-Input>]

List of tools.

Default[]
type?[string]
Default"websearch"
fetch[McpToolData]
search[McpToolData]
require_approval?[McpRequireApproval]

Tools requiring approval. Defaults to 'always'

Default"always"

Response Body

curl -X POST "https://deepfellow-server-host/toolboxes/5eb7cf5a86d9755df3a6c593/tools" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "vector_store_ids": [      "5eb7cf5a86d9755df3a6c593"    ]  }'
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "definition": {
    "type": "file_search",
    "vector_store_ids": [
      "5eb7cf5a86d9755df3a6c593"
    ],
    "filters": {
      "filters": [
        {
          "key": "string",
          "type": "eq",
          "value": "string"
        }
      ],
      "type": "and"
    },
    "max_num_results": 25,
    "ranking_options": {
      "ranker": "auto",
      "score_threshold": 0
    }
  },
  "toolbox_id": "5eb7cf5a86d9755df3a6c593",
  "created_at": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.